%define _name gdesklets
%define package psi
%define release_date 20031028
%define menu_group Applications/gDesklets

Name: gdesklets-displays-%package
Version: 0.2.0
Release: alt0.1_%release_date

Summary: %name is a set of %_name displays by Psi
License: GPL
Group: Graphical desktop/GNOME
Url: http://%name.gnomedesktop.org

Source: PsiDisplayPackage-%release_date.tar.bz2

BuildArch: noarch

PreReq: gdesklets-sensors-%package >= %version-%release

# for variable-space
Requires: gdesklets-sensors-VariableBorder
# for clock, info and fortune
Requires: gdesklets-sensors-ExternalInterval
# for diskinfo 
Requires: gdesklets-sensors-Disk
# for fortune
Requires: iconv
# for info
Requires: gdesklets-sensors-ExternIP
Requires: gdesklets-sensors-CPU
# for meminfo
Requires: gdesklets-sensors-Memory
# for memo
Requires: gdesklets-sensors-Memo
# for memo and popmail
Requires: gdesklets-sensors-IconButton
# for networkinfo
Requires: gdesklets-sensors-Network
# for popmail
Requires: gdesklets-sensors-popmail
# for ping
Requires: gdesklets-sensors-Ping
# for memoover
Requires: gdesklets-sensors-MemoOver

%description
gDesklets provides an advanced architecture for desktop applets -- tiny
displays sitting on your desktop in a symbiotic relationship of eye
candy and usefulness.

This package provides a set of displays for gDesklets by Psi.

%define gdesklets_displays_dir %_datadir/%_name/Displays
%define gdesklets_themes_dir %_datadir/%_name/Themes

%prep
%setup -q -c %_name
tar -jxf %SOURCE0

%install
%__mkdir_p %buildroot{%gdesklets_displays_dir,%gdesklets_themes_dir}

pushd Themes
    %__cp -R Psi-Disp-Themes %buildroot%gdesklets_themes_dir/
popd

%__cp psi-displays*/*.display %buildroot%gdesklets_displays_dir/

# menus
%define displays displays in clock diskinfo fortune info meminfo memo memoover networkinfo ping popmail

%__mkdir -p %buildroot%_menudir
for display in %displays; do
%__cat <<__MENU__ > %buildroot%_menudir/gdesklets-displays-"$display".menu
?package(%name): needs=X11 section="%menu_group" title="$display display" \
longtitle="" command="%_bindir/%_name %gdesklets_displays_dir/$display.display" icon="%_name.png"
__MENU__
done

%post
%update_menus

%postun
%clean_menus

%files
%gdesklets_displays_dir/*
%gdesklets_themes_dir/*
%_menudir/*
%doc README

%changelog
* Mon Nov 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt0.1_20031028
- First build for Sisyphus.

